program idioti;
var
a,b,c,a1,b1,c1,pa,pb,pc,xa,xb,xc:longint;
begin
read(a,b,c);
a1:=a;
b1:=b;
c1:=c;
pa:=0;
pb:=0;
pc:=0;
repeat
a1:=a1 div 10;
pa:=pa+1;
until a1=0;
repeat
b1:=b1 div 10;
pb:=pb+1;
until b1=0;
repeat
c1:=c1 div 10;
pc:=pc+1;
until c1=0;
xa:=a div (pa*10);
xb:=b div (pb*10);
xc:=c div (pc*10);
if xa>xb then
 if xa>xc then
  if xc>xb then
   write(a,c,b)
   else write(a,b,c)
 else write(c,a,b)
else if xa>xc then
      write(b,a,c)
      else if xb>xc then
           write(b,c,a)
           else write(c,b,a);
end.